# af_execution_manager
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 4.0.0
- Package version: 4.0.3
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import af_execution_manager 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import af_execution_manager
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import af_execution_manager
from af_execution_manager.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = af_execution_manager.ActivityExecutionControlApi(af_execution_manager.ApiClient(configuration))
body = af_execution_manager.ActivityRefWithFailureData() # ActivityRefWithFailureData | 
force = false # bool |  (optional) (default to false)
propagate = false # bool |  (optional) (default to false)

try:
    api_instance.abort_activity(body, force=force, propagate=propagate)
except ApiException as e:
    print("Exception when calling ActivityExecutionControlApi->abort_activity: %s\n" % e)

# create an instance of the API class
api_instance = af_execution_manager.ActivityExecutionControlApi(af_execution_manager.ApiClient(configuration))
body = af_execution_manager.EbpInstanceReference() # EbpInstanceReference | 

try:
    api_response = api_instance.get_savepoints(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ActivityExecutionControlApi->get_savepoints: %s\n" % e)

# create an instance of the API class
api_instance = af_execution_manager.ActivityExecutionControlApi(af_execution_manager.ApiClient(configuration))
body = af_execution_manager.ActivityRefWithSpData() # ActivityRefWithSpData | 
force = false # bool |  (optional) (default to false)

try:
    api_instance.reset_activity(body, force=force)
except ApiException as e:
    print("Exception when calling ActivityExecutionControlApi->reset_activity: %s\n" % e)

# create an instance of the API class
api_instance = af_execution_manager.ActivityExecutionControlApi(af_execution_manager.ApiClient(configuration))
body = af_execution_manager.EbpInstanceReference() # EbpInstanceReference | 
force = false # bool |  (optional) (default to false)

try:
    api_response = api_instance.reset_to_prev_savepoint(body, force=force)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ActivityExecutionControlApi->reset_to_prev_savepoint: %s\n" % e)

# create an instance of the API class
api_instance = af_execution_manager.ActivityExecutionControlApi(af_execution_manager.ApiClient(configuration))
body = af_execution_manager.EbpInstanceReference() # EbpInstanceReference | 
wait_for_ack = false # bool |  (optional) (default to false)
propagate = false # bool |  (optional) (default to false)

try:
    api_response = api_instance.suspend_activity(body, wait_for_ack=wait_for_ack, propagate=propagate)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ActivityExecutionControlApi->suspend_activity: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to */*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ActivityExecutionControlApi* | [**abort_activity**](docs/ActivityExecutionControlApi.md#abort_activity) | **POST** /ActivityExecutionControlRest/abortion | 
*ActivityExecutionControlApi* | [**get_savepoints**](docs/ActivityExecutionControlApi.md#get_savepoints) | **POST** /ActivityExecutionControlRest/savepoints | 
*ActivityExecutionControlApi* | [**reset_activity**](docs/ActivityExecutionControlApi.md#reset_activity) | **POST** /ActivityExecutionControlRest/reset | 
*ActivityExecutionControlApi* | [**reset_to_prev_savepoint**](docs/ActivityExecutionControlApi.md#reset_to_prev_savepoint) | **POST** /ActivityExecutionControlRest/reset-to-previous-savepoint | 
*ActivityExecutionControlApi* | [**suspend_activity**](docs/ActivityExecutionControlApi.md#suspend_activity) | **POST** /ActivityExecutionControlRest/suspension | 
*ActivityStartingApi* | [**deselect_activity**](docs/ActivityStartingApi.md#deselect_activity) | **POST** /ActivityStartingRest/activity-deselection | 
*ActivityStartingApi* | [**enquire_activity**](docs/ActivityStartingApi.md#enquire_activity) | **POST** /ActivityStartingRest/activity-enquiry | 
*ActivityStartingApi* | [**get_enquiry_recipients**](docs/ActivityStartingApi.md#get_enquiry_recipients) | **POST** /ActivityStartingRest/EnquiryRecipientIterator/enquiry-recipient | 
*ActivityStartingApi* | [**get_execution_context**](docs/ActivityStartingApi.md#get_execution_context) | **POST** /ActivityStartingRest/execution-context | 
*ActivityStartingApi* | [**get_execution_contexts**](docs/ActivityStartingApi.md#get_execution_contexts) | **POST** /ActivityStartingRest/ExecutionContextIterator/execution-context | 
*ActivityStartingApi* | [**reply_enquiry**](docs/ActivityStartingApi.md#reply_enquiry) | **POST** /ActivityStartingRest/enquiry-reply | 
*ActivityStartingApi* | [**resume_activity**](docs/ActivityStartingApi.md#resume_activity) | **POST** /ActivityStartingRest/activity-continuation | 
*ActivityStartingApi* | [**select_activity**](docs/ActivityStartingApi.md#select_activity) | **POST** /ActivityStartingRest/activity-selection | 
*ActivityStartingApi* | [**start_activity**](docs/ActivityStartingApi.md#start_activity) | **POST** /ActivityStartingRest/activity-start | 
*ActivityTerminationApi* | [**activity_failed**](docs/ActivityTerminationApi.md#activity_failed) | **POST** /ActivityTerminationRest/activity-failure | 
*ActivityTerminationApi* | [**activity_finished**](docs/ActivityTerminationApi.md#activity_finished) | **POST** /ActivityTerminationRest/activity-finishing | 
*ActivityTerminationApi* | [**activity_reset**](docs/ActivityTerminationApi.md#activity_reset) | **POST** /ActivityTerminationRest/activity-reset | 
*ActivityTerminationApi* | [**activity_reset_to**](docs/ActivityTerminationApi.md#activity_reset_to) | **POST** /ActivityTerminationRest/activity-reset-to | 
*ActivityTerminationApi* | [**activity_suspended**](docs/ActivityTerminationApi.md#activity_suspended) | **POST** /ActivityTerminationRest/activity-suspension | 
*ActivityTerminationApi* | [**flush_data_container**](docs/ActivityTerminationApi.md#flush_data_container) | **POST** /ActivityTerminationRest/datacontainer-flush | 
*ArchInstIdRemoteIteratorApi* | [**arch_inst_id_drop**](docs/ArchInstIdRemoteIteratorApi.md#arch_inst_id_drop) | **DELETE** /InstanceIdPairIterator/{iteratorId} | 
*ArchInstIdRemoteIteratorApi* | [**arch_inst_id_get_next**](docs/ArchInstIdRemoteIteratorApi.md#arch_inst_id_get_next) | **GET** /InstanceIdPairIterator/{iteratorId}/next | 
*ArchInstIdRemoteIteratorApi* | [**arch_inst_id_get_previous**](docs/ArchInstIdRemoteIteratorApi.md#arch_inst_id_get_previous) | **GET** /InstanceIdPairIterator/{iteratorId}/previous | 
*ArchInstIdRemoteIteratorApi* | [**arch_inst_id_keep_alive**](docs/ArchInstIdRemoteIteratorApi.md#arch_inst_id_keep_alive) | **POST** /InstanceIdPairIterator/{iteratorId}/remaining-alive-time | 
*ArchTemplIdRemoteIteratorApi* | [**arch_templ_id_drop**](docs/ArchTemplIdRemoteIteratorApi.md#arch_templ_id_drop) | **DELETE** /TemplateIdIterator/{iteratorId} | 
*ArchTemplIdRemoteIteratorApi* | [**arch_templ_id_get_next**](docs/ArchTemplIdRemoteIteratorApi.md#arch_templ_id_get_next) | **GET** /TemplateIdIterator/{iteratorId}/next | 
*ArchTemplIdRemoteIteratorApi* | [**arch_templ_id_get_previous**](docs/ArchTemplIdRemoteIteratorApi.md#arch_templ_id_get_previous) | **GET** /TemplateIdIterator/{iteratorId}/previous | 
*ArchTemplIdRemoteIteratorApi* | [**arch_templ_id_keep_alive**](docs/ArchTemplIdRemoteIteratorApi.md#arch_templ_id_keep_alive) | **POST** /TemplateIdIterator/{iteratorId}/remaining-alive-time | 
*AristaFlowServiceApi* | [**get_release**](docs/AristaFlowServiceApi.md#get_release) | **GET** /release | 
*AristaFlowServiceApi* | [**get_service_instance_name**](docs/AristaFlowServiceApi.md#get_service_instance_name) | **GET** /service-instance-name | 
*AristaFlowServiceApi* | [**get_uris**](docs/AristaFlowServiceApi.md#get_uris) | **GET** /uris | 
*AristaFlowServiceApi* | [**ping**](docs/AristaFlowServiceApi.md#ping) | **GET** /start-time | 
*AristaFlowServiceApi* | [**register_sse**](docs/AristaFlowServiceApi.md#register_sse) | **GET** /sse | 
*AristaFlowServiceApi* | [**unregister_sse**](docs/AristaFlowServiceApi.md#unregister_sse) | **DELETE** /sse/{sseId} | 
*ConfigurableAristaFlowServiceApi* | [**get_changeable_configuration_keys**](docs/ConfigurableAristaFlowServiceApi.md#get_changeable_configuration_keys) | **GET** /configuration | 
*ConfigurableAristaFlowServiceApi* | [**get_configuration**](docs/ConfigurableAristaFlowServiceApi.md#get_configuration) | **GET** /complete-configuration | 
*ConfigurableAristaFlowServiceApi* | [**get_configuration_value**](docs/ConfigurableAristaFlowServiceApi.md#get_configuration_value) | **POST** /configuration-value | 
*ConfigurableAristaFlowServiceApi* | [**set_configuration_value**](docs/ConfigurableAristaFlowServiceApi.md#set_configuration_value) | **PUT** /configuration | 
*EcRemoteIteratorApi* | [**exec_ctxt_drop**](docs/EcRemoteIteratorApi.md#exec_ctxt_drop) | **DELETE** /ActivityStartingRest/ExecutionContextIterator/{iteratorId} | 
*EcRemoteIteratorApi* | [**exec_ctxt_get_next**](docs/EcRemoteIteratorApi.md#exec_ctxt_get_next) | **GET** /ActivityStartingRest/ExecutionContextIterator/{iteratorId}/next | 
*EcRemoteIteratorApi* | [**exec_ctxt_get_previous**](docs/EcRemoteIteratorApi.md#exec_ctxt_get_previous) | **GET** /ActivityStartingRest/ExecutionContextIterator/{iteratorId}/previous | 
*EcRemoteIteratorApi* | [**exec_ctxt_keep_alive**](docs/EcRemoteIteratorApi.md#exec_ctxt_keep_alive) | **POST** /ActivityStartingRest/ExecutionContextIterator/{iteratorId}/remaining-alive-time | 
*ExecutionManagerApi* | [**archive_instance**](docs/ExecutionManagerApi.md#archive_instance) | **POST** /InstanceIdPairIterator/instance-archive/{instId} | 
*ExecutionManagerApi* | [**archive_template**](docs/ExecutionManagerApi.md#archive_template) | **POST** /TemplateIdIterator/template-archive/{templId} | 
*ExecutionManagerApi* | [**get_data_manager**](docs/ExecutionManagerApi.md#get_data_manager) | **GET** /{instId}/data-manager | 
*ExecutionManagerApi* | [**get_process_manager**](docs/ExecutionManagerApi.md#get_process_manager) | **GET** /{instId}/process-manager | 
*InstanceControlApi* | [**check_for_and_fix_inconsistencies**](docs/InstanceControlApi.md#check_for_and_fix_inconsistencies) | **POST** /InstanceControlRest/consistency-check/{instId} | 
*InstanceControlApi* | [**create_and_start_instance**](docs/InstanceControlApi.md#create_and_start_instance) | **POST** /InstanceControlRest/instance-start/simple/{templId} | 
*InstanceControlApi* | [**create_and_start_instance_callback**](docs/InstanceControlApi.md#create_and_start_instance_callback) | **POST** /InstanceControlRest/instance-start/callback/{templId} | 
*InstanceControlApi* | [**create_and_start_instance_sse**](docs/InstanceControlApi.md#create_and_start_instance_sse) | **POST** /InstanceControlRest/instance-start/sse/{templId} | 
*InstanceControlApi* | [**create_instance_data_container**](docs/InstanceControlApi.md#create_instance_data_container) | **GET** /InstanceControlRest/instance-data-container/{templId} | 
*InstanceControlApi* | [**get_instantiable_templ_refs**](docs/InstanceControlApi.md#get_instantiable_templ_refs) | **GET** /InstanceControlRest/TemplateRefIterator/instantiable-template | 
*InstanceControlApi* | [**get_instantiable_templates**](docs/InstanceControlApi.md#get_instantiable_templates) | **GET** /InstanceControlRest/InstTemplIterator/instantiable-template | 
*InstanceControlApi* | [**get_public_data_context**](docs/InstanceControlApi.md#get_public_data_context) | **GET** /InstanceControlRest/public-data-context/{instId} | 
*InstanceControlApi* | [**get_templ_refs**](docs/InstanceControlApi.md#get_templ_refs) | **POST** /InstanceControlRest/TemplateRefIterator/template-reference | 
*InstanceControlApi* | [**resume_instance**](docs/InstanceControlApi.md#resume_instance) | **POST** /InstanceControlRest/continuation/simple/{instId} | 
*InstanceControlApi* | [**resume_instance_callback**](docs/InstanceControlApi.md#resume_instance_callback) | **POST** /InstanceControlRest/continuation/callback/{instId} | 
*InstanceControlApi* | [**resume_instance_sse**](docs/InstanceControlApi.md#resume_instance_sse) | **POST** /InstanceControlRest/continuation/sse/{instId} | 
*InstanceControlApi* | [**stop_and_abort_instance**](docs/InstanceControlApi.md#stop_and_abort_instance) | **POST** /InstanceControlRest/abortion/{instId} | 
*InstanceControlApi* | [**suspend_instance**](docs/InstanceControlApi.md#suspend_instance) | **POST** /InstanceControlRest/suspension/{instId} | 
*QaRemoteIteratorApi* | [**drop**](docs/QaRemoteIteratorApi.md#drop) | **DELETE** /ActivityStartingRest/EnquiryRecipientIterator/{iteratorId} | 
*QaRemoteIteratorApi* | [**get_next**](docs/QaRemoteIteratorApi.md#get_next) | **GET** /ActivityStartingRest/EnquiryRecipientIterator/{iteratorId}/next | 
*QaRemoteIteratorApi* | [**get_previous**](docs/QaRemoteIteratorApi.md#get_previous) | **GET** /ActivityStartingRest/EnquiryRecipientIterator/{iteratorId}/previous | 
*QaRemoteIteratorApi* | [**keep_alive**](docs/QaRemoteIteratorApi.md#keep_alive) | **POST** /ActivityStartingRest/EnquiryRecipientIterator/{iteratorId}/remaining-alive-time | 
*TemplIdRemoteIteratorApi* | [**templ_id_drop**](docs/TemplIdRemoteIteratorApi.md#templ_id_drop) | **DELETE** /InstanceControlRest/InstTemplIterator/{iteratorId} | 
*TemplIdRemoteIteratorApi* | [**templ_id_get_next**](docs/TemplIdRemoteIteratorApi.md#templ_id_get_next) | **GET** /InstanceControlRest/InstTemplIterator/{iteratorId}/next | 
*TemplIdRemoteIteratorApi* | [**templ_id_get_previous**](docs/TemplIdRemoteIteratorApi.md#templ_id_get_previous) | **GET** /InstanceControlRest/InstTemplIterator/{iteratorId}/previous | 
*TemplIdRemoteIteratorApi* | [**templ_id_keep_alive**](docs/TemplIdRemoteIteratorApi.md#templ_id_keep_alive) | **POST** /InstanceControlRest/InstTemplIterator/{iteratorId}/remaining-alive-time | 
*TemplRefRemoteIteratorRestApi* | [**templ_ref_drop**](docs/TemplRefRemoteIteratorRestApi.md#templ_ref_drop) | **DELETE** /InstanceControlRest/TemplateRefIterator/{iteratorId} | 
*TemplRefRemoteIteratorRestApi* | [**templ_ref_get_next**](docs/TemplRefRemoteIteratorRestApi.md#templ_ref_get_next) | **GET** /InstanceControlRest/TemplateRefIterator/{iteratorId}/next | 
*TemplRefRemoteIteratorRestApi* | [**templ_ref_get_previous**](docs/TemplRefRemoteIteratorRestApi.md#templ_ref_get_previous) | **GET** /InstanceControlRest/TemplateRefIterator/{iteratorId}/previous | 
*TemplRefRemoteIteratorRestApi* | [**templ_ref_keep_alive**](docs/TemplRefRemoteIteratorRestApi.md#templ_ref_keep_alive) | **POST** /InstanceControlRest/TemplateRefIterator/{iteratorId}/remaining-alive-time | 
*DefaultApi* | [**header_data**](docs/DefaultApi.md#header_data) | **GET** /header-data | 

## Documentation For Models

 - [AbortServiceException](docs/AbortServiceException.md)
 - [AbortTransactionException](docs/AbortTransactionException.md)
 - [AccessedProcessModelParameter](docs/AccessedProcessModelParameter.md)
 - [ActivityConfiguration](docs/ActivityConfiguration.md)
 - [ActivityDataContainer](docs/ActivityDataContainer.md)
 - [ActivityInstance](docs/ActivityInstance.md)
 - [ActivityRefWithDcData](docs/ActivityRefWithDcData.md)
 - [ActivityRefWithDcSpData](docs/ActivityRefWithDcSpData.md)
 - [ActivityRefWithFailureData](docs/ActivityRefWithFailureData.md)
 - [ActivityRefWithSpData](docs/ActivityRefWithSpData.md)
 - [ActivityReferenceData](docs/ActivityReferenceData.md)
 - [AfConfiguration](docs/AfConfiguration.md)
 - [AgentUnknownException](docs/AgentUnknownException.md)
 - [ArchiveTemplateResponse](docs/ArchiveTemplateResponse.md)
 - [AuthenticationException](docs/AuthenticationException.md)
 - [AutoStartPendingData](docs/AutoStartPendingData.md)
 - [Body](docs/Body.md)
 - [Body1](docs/Body1.md)
 - [ConfigurationException](docs/ConfigurationException.md)
 - [ConsistencyCheckResponse](docs/ConsistencyCheckResponse.md)
 - [DataConsistencyException](docs/DataConsistencyException.md)
 - [DataContainer](docs/DataContainer.md)
 - [DataContext](docs/DataContext.md)
 - [DataSourceException](docs/DataSourceException.md)
 - [DummyParent](docs/DummyParent.md)
 - [EbpInstanceReference](docs/EbpInstanceReference.md)
 - [EcInitialRemoteIteratorData](docs/EcInitialRemoteIteratorData.md)
 - [EcRemoteIteratorData](docs/EcRemoteIteratorData.md)
 - [Enquiry](docs/Enquiry.md)
 - [EnquiryData](docs/EnquiryData.md)
 - [EnquiryRecData](docs/EnquiryRecData.md)
 - [ExecutableBusinessProcessInstance](docs/ExecutableBusinessProcessInstance.md)
 - [ExecutionContext](docs/ExecutionContext.md)
 - [ExecutionContextResponse](docs/ExecutionContextResponse.md)
 - [ExecutionControlProperties](docs/ExecutionControlProperties.md)
 - [IlmException](docs/IlmException.md)
 - [IlmExceptionCause](docs/IlmExceptionCause.md)
 - [IlmExceptionStackTrace](docs/IlmExceptionStackTrace.md)
 - [IlmExceptionSuppressed](docs/IlmExceptionSuppressed.md)
 - [IncompatibleGuiContextException](docs/IncompatibleGuiContextException.md)
 - [InlineResponse400](docs/InlineResponse400.md)
 - [InlineResponse4001](docs/InlineResponse4001.md)
 - [InlineResponse40010](docs/InlineResponse40010.md)
 - [InlineResponse40011](docs/InlineResponse40011.md)
 - [InlineResponse40012](docs/InlineResponse40012.md)
 - [InlineResponse40013](docs/InlineResponse40013.md)
 - [InlineResponse40014](docs/InlineResponse40014.md)
 - [InlineResponse4002](docs/InlineResponse4002.md)
 - [InlineResponse4003](docs/InlineResponse4003.md)
 - [InlineResponse4004](docs/InlineResponse4004.md)
 - [InlineResponse4005](docs/InlineResponse4005.md)
 - [InlineResponse4006](docs/InlineResponse4006.md)
 - [InlineResponse4007](docs/InlineResponse4007.md)
 - [InlineResponse4008](docs/InlineResponse4008.md)
 - [InlineResponse4009](docs/InlineResponse4009.md)
 - [InlineResponse500](docs/InlineResponse500.md)
 - [InlineResponse5001](docs/InlineResponse5001.md)
 - [InputDataContext](docs/InputDataContext.md)
 - [InstIdPair](docs/InstIdPair.md)
 - [InstIdPairInitialRemoteIteratorData](docs/InstIdPairInitialRemoteIteratorData.md)
 - [InstIdPairRemoteIteratorData](docs/InstIdPairRemoteIteratorData.md)
 - [InstanceCreationData](docs/InstanceCreationData.md)
 - [InstanceCreationRestData](docs/InstanceCreationRestData.md)
 - [InstanceCreationSseData](docs/InstanceCreationSseData.md)
 - [InstanceFailedData](docs/InstanceFailedData.md)
 - [InstanceFinishedData](docs/InstanceFinishedData.md)
 - [InstanceResumedData](docs/InstanceResumedData.md)
 - [InstanceResumedRestData](docs/InstanceResumedRestData.md)
 - [InstanceResumedSseData](docs/InstanceResumedSseData.md)
 - [InstanceStateData](docs/InstanceStateData.md)
 - [InterruptException](docs/InterruptException.md)
 - [InvalidActivityStateException](docs/InvalidActivityStateException.md)
 - [InvalidDataContainerException](docs/InvalidDataContainerException.md)
 - [InvalidInstanceStateException](docs/InvalidInstanceStateException.md)
 - [InvalidTemplateStateException](docs/InvalidTemplateStateException.md)
 - [LockException](docs/LockException.md)
 - [OneOfinlineResponse400](docs/OneOfinlineResponse400.md)
 - [OneOfinlineResponse4001](docs/OneOfinlineResponse4001.md)
 - [OneOfinlineResponse40010](docs/OneOfinlineResponse40010.md)
 - [OneOfinlineResponse40011](docs/OneOfinlineResponse40011.md)
 - [OneOfinlineResponse40012](docs/OneOfinlineResponse40012.md)
 - [OneOfinlineResponse40013](docs/OneOfinlineResponse40013.md)
 - [OneOfinlineResponse40014](docs/OneOfinlineResponse40014.md)
 - [OneOfinlineResponse4002](docs/OneOfinlineResponse4002.md)
 - [OneOfinlineResponse4003](docs/OneOfinlineResponse4003.md)
 - [OneOfinlineResponse4004](docs/OneOfinlineResponse4004.md)
 - [OneOfinlineResponse4005](docs/OneOfinlineResponse4005.md)
 - [OneOfinlineResponse4006](docs/OneOfinlineResponse4006.md)
 - [OneOfinlineResponse4007](docs/OneOfinlineResponse4007.md)
 - [OneOfinlineResponse4008](docs/OneOfinlineResponse4008.md)
 - [OneOfinlineResponse4009](docs/OneOfinlineResponse4009.md)
 - [OneOfinlineResponse500](docs/OneOfinlineResponse500.md)
 - [OneOfinlineResponse5001](docs/OneOfinlineResponse5001.md)
 - [OrgModelException](docs/OrgModelException.md)
 - [ParameterException](docs/ParameterException.md)
 - [ParameterMissingException](docs/ParameterMissingException.md)
 - [ParameterTypeException](docs/ParameterTypeException.md)
 - [ParameterValue](docs/ParameterValue.md)
 - [PasswordPolicyException](docs/PasswordPolicyException.md)
 - [PlainTextException](docs/PlainTextException.md)
 - [PolicyResolutionException](docs/PolicyResolutionException.md)
 - [ProcessModelParameter](docs/ProcessModelParameter.md)
 - [QaInitialRemoteIteratorData](docs/QaInitialRemoteIteratorData.md)
 - [QaRemoteIteratorData](docs/QaRemoteIteratorData.md)
 - [QualifiedAgent](docs/QualifiedAgent.md)
 - [ReadingDataContainer](docs/ReadingDataContainer.md)
 - [ScriptEnvironmentException](docs/ScriptEnvironmentException.md)
 - [ScriptEvaluationException](docs/ScriptEvaluationException.md)
 - [ScriptException](docs/ScriptException.md)
 - [ServiceInstanceName](docs/ServiceInstanceName.md)
 - [ServiceNotKnownException](docs/ServiceNotKnownException.md)
 - [ServiceRelease](docs/ServiceRelease.md)
 - [Session](docs/Session.md)
 - [SessionToken](docs/SessionToken.md)
 - [SimpleParameter](docs/SimpleParameter.md)
 - [TemplIdInitialRemoteIteratorData](docs/TemplIdInitialRemoteIteratorData.md)
 - [TemplIdRemoteIteratorData](docs/TemplIdRemoteIteratorData.md)
 - [TemplRefInitialRemoteIteratorData](docs/TemplRefInitialRemoteIteratorData.md)
 - [TemplRefRemoteIteratorData](docs/TemplRefRemoteIteratorData.md)
 - [TemplateReference](docs/TemplateReference.md)
 - [UnknownSessionException](docs/UnknownSessionException.md)
 - [WrappingException](docs/WrappingException.md)
 - [WritingDataContainer](docs/WritingDataContainer.md)
 - [WrongAgentException](docs/WrongAgentException.md)
 - [WrongRuntimeManagerException](docs/WrongRuntimeManagerException.md)

## Documentation For Authorization

 All endpoints do not require authorization.


## Author


